
Redmine - Patch #31320

Set an appropriate default type in New custom field page depending on the current tab

2019-05-08 09:10 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 4.1.0   

Description

If "New custom field" link is pressed while selecting the Activities tab in custom_fields/index, the default value of radio_button on the

next screen is "Issue".

I think that it is convenient if the default value of radio_button of the next screen is Activities.

 custom_fields.png 

The attached patch changes the default value of radio_button according to the tab opened in the previous screen.

Related issues:

Related to Redmine - Defect #31896: Admin screen - "New custom field" button ... Closed

Associated revisions

Revision 18156 - 2019-05-11 04:06 - Go MAEDA

Set an appropriate default type in New custom field page depending on the current tab (#31320).

Patch by Mizuki ISHIKAWA.

Revision 18372 - 2019-08-17 04:01 - Go MAEDA

Fix that "New custom field" button does not work if there are no custom fields (#31896, #31320).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-05-08 16:32 - Go MAEDA

- Category changed from UI to Custom fields

- Target version set to 4.1.0

It is a small but nice improvement. Setting the target version to 4.1.0.

#2 - 2019-05-11 04:07 - Go MAEDA

- Subject changed from Change the default value of radio_button in custom_fields/select_type to Set an appropriate default type in New custom field

page depending on the current tab

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thanks.

#3 - 2019-05-23 05:28 - Go MAEDA

- Target version deleted (4.1.0)

#4 - 2019-05-23 05:28 - Go MAEDA

- Target version set to 4.1.0

#5 - 2019-08-14 12:45 - Marius BĂLTEANU

- Status changed from Closed to Reopened
An issue was reported in #31896.

#6 - 2019-08-14 12:46 - Marius BĂLTEANU

- Related to Defect #31896: Admin screen - "New custom field" button does not work if there are no custom fields added

#7 - 2019-08-17 04:03 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

An issue was reported in #31896.

 Fixed in r18372.
